> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable actions

> Disables actions by their IDs, category, provider, or game



## OpenAPI

````yaml /api-reference/oda-actions-service-1.0.0.yml post /actions/commands/disable-actions
openapi: 3.0.1
info:
  title: oda-actions-service
  version: 1.0.0
servers: []
security: []
paths:
  /actions/commands/disable-actions:
    post:
      summary: Disable actions
      description: Disables actions by their IDs, category, provider, or game
      operationId: disableActions
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DisableActionsApi.DisableActionsCommand'
        required: true
      responses:
        '200':
          description: Actions successfully disabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisableActionsApi.DisableActionsResult'
components:
  schemas:
    DisableActionsApi.DisableActionsCommand:
      type: object
      properties:
        category:
          type: string
          nullable: true
        provider:
          type: string
          nullable: true
        game:
          type: string
          nullable: true
        ids:
          type: array
          nullable: true
          items:
            type: string
    DisableActionsApi.DisableActionsResult:
      required:
        - ids
        - message
        - success
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        ids:
          type: array
          items:
            type: string

````